<div class="content-heading">
  <div>Consultar Cliente</div>
</div>

<div class="row">

  <div class="col-md-12">

    <panel>
      <div class="row">
        <div class="col-md-9">
          <div class="form-group">
            <input type="text" (keyup.enter)="listar()" [(ngModel)]="entidadeConsulta.pesquisa" placeholder="Busca"
                   maxlength="255" id="nome" name="name" class="form-control"/>
          </div>
        </div>
        <div class="col-md-3">
          <button class="btn btn-secundary  button-right" (click)="clear()">Limpar</button>
          <button class="btn btn-primary  button-right" (click)="listar()">Buscar</button>
        </div>
      </div>

      <hr/>

      <div class="row">
        <div class="col-md-12">

          <p-table     [value]="resultado.content" emptyMessage="Nenhum registro encontrado."
                       [rows]="10" [lazy]="true" (onLazyLoad)="listar($event)" [paginator]="true"
                       [totalRecords]="resultado.totalElements" [responsive]="true">

            <ng-template pTemplate="header">
              <tr>
                <th style="width: 10em" class="text-center">Código</th>
                <th class="text-center">Nome</th>
                <th class="text-center">Cnpj</th>
                <th class="text-center">Insc. Estadual</th>
                <th style="width: 8em"  class="text-center">Status</th>
                <th style="width: 7em" class="text-center">Ação</th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-obj>
              <tr>
                <td class="text-center">{{obj.codigoSAP}}</td>
                <td class="text-center" >{{obj.nome}}</td>
                <td class="text-center">{{obj.cnpj | cnpjPipe}}</td>
                <td class="text-center">{{obj.inscricaoEstadual}}</td>
                <td class="text-center">{{obj.status}}</td>
                <td>

                  <a routerLink="edicao/{{obj.id}}" pTooltip="Editar" class="btn-tabela ml-3">
                    <em class="fa fa-edit fa-fw"></em>
                  </a>

                  <a [pTooltip]="obj.status === 'Inativo' ? '' : 'Excluir'" (click)="excluir(obj)" [attr.disabled]="obj.status === 'Inativo'" style="cursor: pointer"  class="btn-tabela ml-3">
                    <em class="fa fa-trash fa-fw"></em>
                  </a>
                </td>

              </tr>
            </ng-template>

            <ng-template pTemplate="emptymessage" >
              <tr>
                <td [attr.colspan]="6">
                  Nenhum registro encontrado.
                </td>
              </tr>
            </ng-template>

          </p-table>

        </div>
      </div>

    </panel>
  </div>
</div>
